Bug 472592 - OpenJDK plugin not accepting keyboard input
OpenJDK plugin not accepting keyboard input
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 16:16 EST by Deepak Bhole
Modified: 2009-12-18 01:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deepak Bhole 2008-11-21 16:16:13 EST
Description of problem:
OpenJDK plugin doesn't not accept password input on https://internet-banking.dbs.com.sg

Version-Release number of selected component (if applicable):
Any

How reproducible:
Always

Load https://internet-banking.dbs.com.sg and try to type something in the password field. Nothing can be entered. Mouse paste works, but keyboard entry is futile.
Comment 1 Deepak Bhole 2008-11-21 16:30:24 EST
Hmm, looks like this is not a bug. I investigated this, and the applet accepts digits as input in the password field. This appears to be on purpose, and is enforced from inside the applet code so the plugin can't do anything.

I am going to close this as NOTABUG. Feel free to re-open if you think I am in error.
Comment 2 Eugene Teo (Security Response) 2008-11-21 20:48:07 EST
Deepak, sorry but I have reopened the bug. I am unable to key in anything in both textfields. Mouse pasting only works for the user id textfield. Even keying digits as input in the password field does not work for me. Please let me know how I can help you debug this. I am using F10 Preview with every default installed packages since updated last night.
Comment 3 Bug Zapper 2008-11-26 00:44:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Eugene Teo (Security Response) 2008-12-09 21:05:59 EST
(In reply to comment #2)
> Deepak, sorry but I have reopened the bug. I am unable to key in anything in
> both textfields. Mouse pasting only works for the user id textfield. Even
> keying digits as input in the password field does not work for me. Please let
> me know how I can help you debug this. I am using F10 Preview with every
> default installed packages since updated last night.

Deepak, can we have some love for this bug? It's still not working for me. Let me know how I can help you gather more info to debug this.
Comment 5 Andrew John Hughes 2008-12-17 10:41:03 EST
Same failure on F10 with IcedTea Web Browser Plugin 1.4 (fedora-7.b12.fc10-x86_64).
Comment 6 Bug Zapper 2009-11-18 03:56:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:54:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.